Bug 1049573 - samba-devel.i686 and samba-devel.x86_64 have conflicting files
Summary: samba-devel.i686 and samba-devel.x86_64 have conflicting files
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: samba
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Guenther Deschner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-07 19:27 UTC by Nathaniel McCallum
Modified: 2016-07-19 10:51 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 10:51:26 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Samba Project 11356 0 None None None Never

Description Nathaniel McCallum 2014-01-07 19:27:49 UTC
These are the files which conflict:
/usr/include/samba-4.0/gen_ndr/atsvc.h
/usr/include/samba-4.0/gen_ndr/auth.h
/usr/include/samba-4.0/gen_ndr/drsblobs.h
/usr/include/samba-4.0/gen_ndr/drsuapi.h
/usr/include/samba-4.0/gen_ndr/epmapper.h
/usr/include/samba-4.0/gen_ndr/krb5pac.h
/usr/include/samba-4.0/gen_ndr/lsa.h
/usr/include/samba-4.0/gen_ndr/mgmt.h
/usr/include/samba-4.0/gen_ndr/misc.h
/usr/include/samba-4.0/gen_ndr/nbt.h
/usr/include/samba-4.0/gen_ndr/ndr_atsvc_c.h
/usr/include/samba-4.0/gen_ndr/ndr_epmapper_c.h
/usr/include/samba-4.0/gen_ndr/ndr_mgmt_c.h
/usr/include/samba-4.0/gen_ndr/ndr_samr_c.h
/usr/include/samba-4.0/gen_ndr/ndr_svcctl_c.h
/usr/include/samba-4.0/gen_ndr/netlogon.h
/usr/include/samba-4.0/gen_ndr/samr.h
/usr/include/samba-4.0/gen_ndr/security.h
/usr/include/samba-4.0/gen_ndr/svcctl.h

These packages should be parallel installable.

Comment 1 Simo Sorce 2014-01-07 21:02:04 UTC
I think the problem is just that these files are autogenerated, if we use a reference file from the tarbal (like a non-autogenerated header file) to reset the date on these files after they are generated I bet conflicts will disappear, as rpm knows to not throw tantrums if the files are identical and comes from the same package of a differeing arch.

Comment 2 Fedora End Of Life 2015-05-29 10:22:27 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Erik van Pienbroek 2015-06-21 12:51:20 UTC
Issue is still valid on Fedora 22:

Error: Transaction check error:
  file /usr/include/samba-4.0/gen_ndr/dcerpc.h from install of samba-devel-2:4.2.2-0.fc22.i686 conflicts with file from package samba-devel-2:4.2.2-0.fc22.x86_64
  file /usr/include/samba-4.0/gen_ndr/atsvc.h from install of samba-devel-2:4.2.2-0.fc22.i686 conflicts with file from package samba-devel-2:4.2.2-0.fc22.x86_64
  file /usr/include/samba-4.0/gen_ndr/auth.h from install of samba-devel-2:4.2.2-0.fc22.i686 conflicts with file from package samba-devel-2:4.2.2-0.fc22.x86_64
  file /usr/include/samba-4.0/gen_ndr/drsblobs.h from install of samba-devel-2:4.2.2-0.fc22.i686 conflicts with file from package samba-devel-2:4.2.2-0.fc22.x86_64
  file /usr/include/samba-4.0/gen_ndr/drsuapi.h from install of samba-devel-2:4.2.2-0.fc22.i686 conflicts with file from package samba-devel-2:4.2.2-0.fc22.x86_64
  file /usr/include/samba-4.0/gen_ndr/epmapper.h from install of samba-devel-2:4.2.2-0.fc22.i686 conflicts with file from package samba-devel-2:4.2.2-0.fc22.x86_64
  file /usr/include/samba-4.0/gen_ndr/krb5pac.h from install of samba-devel-2:4.2.2-0.fc22.i686 conflicts with file from package samba-devel-2:4.2.2-0.fc22.x86_64
  file /usr/include/samba-4.0/gen_ndr/lsa.h from install of samba-devel-2:4.2.2-0.fc22.i686 conflicts with file from package samba-devel-2:4.2.2-0.fc22.x86_64
  file /usr/include/samba-4.0/gen_ndr/misc.h from install of samba-devel-2:4.2.2-0.fc22.i686 conflicts with file from package samba-devel-2:4.2.2-0.fc22.x86_64
  file /usr/include/samba-4.0/gen_ndr/nbt.h from install of samba-devel-2:4.2.2-0.fc22.i686 conflicts with file from package samba-devel-2:4.2.2-0.fc22.x86_64
  file /usr/include/samba-4.0/gen_ndr/ndr_atsvc_c.h from install of samba-devel-2:4.2.2-0.fc22.i686 conflicts with file from package samba-devel-2:4.2.2-0.fc22.x86_64
  file /usr/include/samba-4.0/gen_ndr/ndr_epmapper_c.h from install of samba-devel-2:4.2.2-0.fc22.i686 conflicts with file from package samba-devel-2:4.2.2-0.fc22.x86_64
  file /usr/include/samba-4.0/gen_ndr/ndr_samr_c.h from install of samba-devel-2:4.2.2-0.fc22.i686 conflicts with file from package samba-devel-2:4.2.2-0.fc22.x86_64
  file /usr/include/samba-4.0/gen_ndr/ndr_svcctl_c.h from install of samba-devel-2:4.2.2-0.fc22.i686 conflicts with file from package samba-devel-2:4.2.2-0.fc22.x86_64
  file /usr/include/samba-4.0/gen_ndr/netlogon.h from install of samba-devel-2:4.2.2-0.fc22.i686 conflicts with file from package samba-devel-2:4.2.2-0.fc22.x86_64
  file /usr/include/samba-4.0/gen_ndr/samr.h from install of samba-devel-2:4.2.2-0.fc22.i686 conflicts with file from package samba-devel-2:4.2.2-0.fc22.x86_64
  file /usr/include/samba-4.0/gen_ndr/security.h from install of samba-devel-2:4.2.2-0.fc22.i686 conflicts with file from package samba-devel-2:4.2.2-0.fc22.x86_64
  file /usr/include/samba-4.0/gen_ndr/svcctl.h from install of samba-devel-2:4.2.2-0.fc22.i686 conflicts with file from package samba-devel-2:4.2.2-0.fc22.x86_64

Comment 4 Andreas Schneider 2015-06-23 08:04:41 UTC
Will be fixed with Samba 4.2.3

Comment 5 Fedora End Of Life 2016-07-19 10:51:26 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.